package cn.datax.service.data.metadata.service;

import cn.datax.service.data.metadata.api.entity.DataMetadataColumnEntity;
import cn.datax.service.data.metadata.api.dto.DataMetadataColumnDto;
import cn.datax.common.base.BaseService;

import java.util.List;

/**
 * <p>
 * 元数据信息表 服务类
 * </p>
 *
 * @author yuwei
 * @since 2020-07-29
 */
public interface DataMetadataColumnService extends BaseService<DataMetadataColumnEntity> {

    DataMetadataColumnEntity saveDataMetadataColumn(DataMetadataColumnDto dataMetadataColumn);

    DataMetadataColumnEntity updateDataMetadataColumn(DataMetadataColumnDto dataMetadataColumn);

    DataMetadataColumnEntity getDataMetadataColumnById(String id);

    void deleteDataMetadataColumnById(String id);

    void deleteDataMetadataColumnBatch(List<String> ids);
}
